Package org.opensaml.xmlsec.impl

# Class StaticSignatureValidationParametersResolver

java.lang.Object
org.opensaml.xmlsec.impl.StaticSignatureValidationParametersResolver

All Implemented Interfaces:
  `Resolver<SignatureValidationParameters,CriteriaSet>`, `SignatureValidationParametersResolver`

public class StaticSignatureValidationParametersResolver extends Object implements SignatureValidationParametersResolver
Resolve an instance of `SignatureValidationParameters` statically.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SignatureValidationParameters`
`params`
Static parameters.

## Constructor Summary

Constructors
Constructor
Description
`StaticSignatureValidationParametersResolver(SignatureValidationParameters parameters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterable<SignatureValidationParameters>`
`resolve(CriteriaSet criteria)`
`SignatureValidationParameters`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### params

@Nonnull private SignatureValidationParameters params
Static parameters.

## Constructor Details

### StaticSignatureValidationParametersResolver

public StaticSignatureValidationParametersResolver(@Nonnull SignatureValidationParameters parameters)
Constructor.

Parameters:
  `parameters` - the static parameters instance to return

## Method Details

### resolve

@Nonnull public Iterable<SignatureValidationParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<SignatureValidationParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public SignatureValidationParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<SignatureValidationParameters,CriteriaSet>`
Throws:
  `ResolverException`